# Uses of Class
org.eclipse.birt.report.model.api.ModuleHandleImpl

Packages that use ModuleHandleImpl
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of ModuleHandleImpl in org.eclipse.birt.report.model.api

Subclasses of ModuleHandleImpl in org.eclipse.birt.report.model.api
Modifier and Type
Class
Description
`class`
`LibraryHandle`
Represents the handle of library element.
`class`
`LibraryHandleImpl`
`class`
`ModuleHandle`
Abstract module handle which provides the common functionalities of report design and library.
`class`
`ReportDesignHandle`
Represents the overall report design.
Methods in org.eclipse.birt.report.model.api that return types with arguments of type ModuleHandleImpl
Modifier and Type
Method
Description
`protected List<ModuleHandleImpl>`
ModuleHandleImpl.`getVisibleModules(int level)`
Gets the visible modules.